Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Tomcat init scripts missing
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
knirirr
n00b
n00b


Joined: 20 Jan 2010
Posts: 24

PostPosted: Fri Dec 07, 2012 9:33 am    Post subject: Tomcat init scripts missing Reply with quote

I recently upgraded from Tomcat 6.0.35 to 6.0.36 and found that no init script was generated. Downgrading again didn't produce one either. There's a file at /usr/portage/www-servers/tomcat/files/tomcat.init but the functions in the ebuild that should (I presume) update this and copy it to /etc/init.d/tomcat-6 don't seem to be running.

Does anyone have any idea what is going on here, and how I might fix it?
Back to top
View user's profile Send private message
mwoodiupui
n00b
n00b


Joined: 13 Oct 2004
Posts: 37
Location: Indianapolis, IN, USA

PostPosted: Fri Dec 07, 2012 1:51 pm    Post subject: Reply with quote

Me, too, upgrading Tomcat 7 to 7.0.32. It also seems to have blown away the servlet-api, jsp-api, and el-api JAR links. I had to relink them before Tomcat would start. (Fortunately I had a hacked init script on one host, that I can copy here there and everywhere I have a Tomcat.)

[later] This could have something to do with it:

mhw-sakai etc # emerge --config tomcat:7


Configuring pkg...

* pkg_config() is not defined: 'tomcat-7.0.32.ebuild'

mhw-sakai etc #

The upgrade also seems to have removed unmodified files in /etc/tomcat-*
Back to top
View user's profile Send private message
knirirr
n00b
n00b


Joined: 20 Jan 2010
Posts: 24

PostPosted: Fri Dec 07, 2012 4:31 pm    Post subject: Reply with quote

mwoodiupui wrote:

* pkg_config() is not defined: 'tomcat-7.0.32.ebuild'


I'm getting the same for 6.0.35 and .36.
Would you mind me taking a look at your init script?
Back to top
View user's profile Send private message
fordfrog
Developer
Developer


Joined: 01 Jan 2007
Posts: 17

PostPosted: Fri Dec 07, 2012 5:25 pm    Post subject: Reply with quote

you are supposed to follow the after-merge information:

* Messages for package www-servers/tomcat-7.0.33:

* For how to deploy a server instance run:
* /usr/share/tomcat-7/gentoo/tomcat-instance-manager.bash --help
* tomcat-dbcp.jar is not built at this time. Please fetch jar
* from upstream binary if you need it. Gentoo Bug # 144276

you can also find helpful information at https://wiki.gentoo.org/wiki/Apache_Tomcat
_________________
Gentoo Java Team
Netbeans ebuild maintainer
Back to top
View user's profile Send private message
mwoodiupui
n00b
n00b


Joined: 13 Oct 2004
Posts: 37
Location: Indianapolis, IN, USA

PostPosted: Fri Dec 07, 2012 6:11 pm    Post subject: Reply with quote

knirirr wrote:
Would you mind me taking a look at your init script?


It's attached to https://bugs.gentoo.org/show_bug.cgi?id=445118. Beware, it's a significant rework replacing start-stop-daemon with jsvc.
Back to top
View user's profile Send private message
knirirr
n00b
n00b


Joined: 20 Jan 2010
Posts: 24

PostPosted: Fri Dec 07, 2012 7:52 pm    Post subject: Reply with quote

fordfrog wrote:
you are supposed to follow the after-merge information:



Indeed; I can't say that I noticed it, but then if I was expecting such a major change I would presumably have looked more closely.
Anyway, thanks for the further information. I still don't have a working installation back but this should get me closer.
Back to top
View user's profile Send private message
mwoodiupui
n00b
n00b


Joined: 13 Oct 2004
Posts: 37
Location: Indianapolis, IN, USA

PostPosted: Fri Dec 07, 2012 10:36 pm    Post subject: Reply with quote

fordfrog wrote:
you are supposed to follow the after-merge information:

* Messages for package www-servers/tomcat-7.0.33:

* For how to deploy a server instance run:
* /usr/share/tomcat-7/gentoo/tomcat-instance-manager.bash --help
* tomcat-dbcp.jar is not built at this time. Please fetch jar
* from upstream binary if you need it. Gentoo Bug # 144276


I remember now. I did read that. I thought: "I already have a Tomcat 7 server instance, so I don't need to deploy one. I don't use tomcat-dbcp. So none of this has anything to do with me." Only later did I discover that I no longer had a complete Tomcat 7 instance.
Back to top
View user's profile Send private message
mwoodiupui
n00b
n00b


Joined: 13 Oct 2004
Posts: 37
Location: Indianapolis, IN, USA

PostPosted: Wed Dec 12, 2012 1:47 pm    Post subject: Working again at last Reply with quote

OK, it seems that we're all expected to migrate to new Tomcat instances. I was able to use the script noted in the post-upgrade notes to create a new instance, copy the missing files to my existing instance, edit a few things that are customized per-instance, and get my existing Tomcats working again.

HOWEVER, the upgrade also seems to have removed a number of rather important JARs or symlinks thereto. In the end, to get everything working, I had to symlink servlet-api.jar, jsp-api.jar, and el-api.jar from /usr/share/tomcat-servlet-api-3.0/lib/, and eclipse-ecj.jar from /usr/share/eclipse-ecj/ into /usr/share/tomcat-7/lib/.

I would still like to know where I should have seen the announcement that we were going to be put through all this pain.

There is more discussion at https://bugs.gentoo.org/show_bug.cgi?id=446378.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum